Package com.massivecraft.factions.util.Particles

## Class ParticleEffect.ItemData

- java.lang.Object
- - com.massivecraft.factions.util.Particles.ParticleEffect.ParticleData
  - - com.massivecraft.factions.util.Particles.ParticleEffect.ItemData

Enclosing class:
  ParticleEffect

    public static final class ParticleEffect.ItemData
    extends ParticleEffect.ParticleData

Represents the item data for the `ParticleEffect.ITEM_CRACK` effect This class is part of the ParticleEffect Library and follows the same usage conditions

Since:
  1.6

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`ItemData​(org.bukkit.Material material, byte data)` | Construct a new item data

### Method Summary

### Methods inherited from class com.massivecraft.factions.util.Particles.ParticleEffect.ParticleData

`getData, getMaterial, getPacketData, getPacketDataString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ItemData

    public ItemData​(org.bukkit.Material material,
                    byte data)

Construct a new item data

Parameters:
  `material` - Material of the item
  `data` - Data value of the item
See Also:
  `ParticleData(Material, byte)`